<?php

namespace App\Pilot\Metrics;

use Bluesquare\Pilot\Entity\Metric;

class SmoothiesCount extends Metric
{
    protected $slug = 'smoothies-count';

    /**
     * Available params:
     * @param $entry mixed|null The Pilot entry ID to compute the metric for
     * @param $entries array<mixed> The Pilot entries ID to compute the metric for
     */
    public function compute($entry = null)
    {
        // Availability
        // return $this->monitor(true);

        // Progress bar
        // return $this->progress(10, 100);

        // Doughnut chart
        // return $this->partition([
        //    ['label' => 'Banana', 'value' => 90],
        //    ['label' => 'Pineapple', 'value' => 89],
        // ]);

        // Trend chart
        // return $this->trend([
        //    ['label' => 'Banana', 'value' => 90],
        //    ['label' => 'Pineapple', 'value' => 89],
        // ]);

        // Simple value
        // return $this->value(12);

        // Simple value with filters
        return $this->filters([
            $this->filter('Banana', 'banana', fn () => $this->value(90, 10)),
            $this->filter('Pineapple', 'pineapple', fn () => $this->value(89, 20)),
        ]);
    }
}
